import { NumericParams } from '../base/NumericGenerator';
import { IntegerIndividual } from './../../../individual/numeric/integer';
import { NumericGenerator } from './../base';
/**
 * ## IntegerGenerator
 * Generates an [[IntegerIndividual]].
 */
export declare class IntegerGenerator extends NumericGenerator<IntegerIndividual> {
    /**
     * Generates a gene with the specified
     * params.
     * @param params of the generator.
     * @return the generated gene.
     */
    generateGene(params: NumericParams): number;
    /**
     * Constructs the individual given
     * the genotype and the range.
     * @param genotype of the individual.
     * @param params of the generator.
     * @return [[NumericIndividual]] constructed with the given params.
     */
    construct(genotype: number[], params: NumericParams): IntegerIndividual;
}
