/**
 * ## Node
 * Node is an element of a simple linked list. It contains some data and a
 * pointer to the next node in the list.
 */
export declare class Node<T> {
    /**
     * Data of the node.
     */
    private nodeData;
    /**
     * Pointer to the next node in the list.
     */
    private nextNode;
    /**
     * Constructor of the class.
     * Initializes the data of the node.
     * @param data Data to initialize the node
     */
    constructor(data: T);
    /**
     * Getter for the data of the node.
     * @return Data of the node.
     */
    get data(): T;
    /**
     * Setter for the data of the node.
     * @param newData New data for the node
     */
    set data(newData: T);
    /**
     * Getter for the pointer of the next node in the list.
     * @return Pointer to the next node.
     */
    get next(): Node<T> | null;
    /**
     * Setter of the pointer to the next node.
     * @param nextNode New pointer to the next node
     */
    set next(nextNode: Node<T> | null);
}
