import { NumericRange } from '../../base/NumericRange';
export declare class IntegerNormalizer {
    /**
     * Normalize the given gene, rounding it.
     * @param gene that we want to normalize.
     */
    static normalize(gene: number): number;
    /**
     * Normalizes a complete numeric genotype.
     * @param genotype that we want to normalize.
     */
    static normalizeGenotype(genotype: number[]): number[];
    /**
     * Normalizes a given numeric range.
     * @param range that we want to normalize.
     * @return the normalized range.
     */
    static normalizeRange(range: NumericRange): NumericRange;
}
