import { ListIndividual } from '../../index';
import { ListMutationParams, UniformListMutation } from './UniformListMutation';
/**
 * ## Gene Relocation Mutation
 * Class that implements a mutation operator for List Individuals.
 *
 * This operator is applied to each gene of the genotype and moves one node
 * of the list corresponding to the current gene, to a different gene. Both the
 * node, and the other gene are chosen randomly.
 */
export declare class GeneRelocationMutation<T> extends UniformListMutation<T> {
    /**
     * Mutation operator that is applied to the gene in the specified index.
     * The operator moves a node of the current list to another one.
     * @param individual Individual that the operator is applied on
     * @param index Index of the current gene
     * @param params Operator parameters
     */
    protected mutateGeneUniformly(individual: ListIndividual<T>, index: number, params: ListMutationParams): void;
}
