import { ListIndividual } from '../../index';
import { ListMutationParams, UniformListMutation } from './UniformListMutation';
/**
 * ## Inner Exchange Mutation
 * Class that implements a mutation operator for List Individuals.
 *
 * This operator is applied to each gene of the genotype and swaps two nodes
 * chosen randomly from the current gene.
 */
export declare class InnerExchangeMutation<T> extends UniformListMutation<T> {
    /**
     * Mutation operator that is applied to the gene in the specified index.
     * The operator swaps two nodes of the current list.
     * @param individual Individual that the operator is applied on
     * @param index Index of the current gene
     * @param params Operator parameters
     */
    protected mutateGeneUniformly(individual: ListIndividual<T>, index: number, params: ListMutationParams): void;
}
