"use strict";
/*
 * @license
 * Copyright (c) 2019 Cristian Abrante. All rights reserved.
 * Licensed under the MIT License. See LICENSE in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumericNonUniformMutation = void 0;
const utils_1 = require("../../../generator/utils");
const base_1 = require("../../../individual/numeric/base");
const base_2 = require("../../base");
class NumericNonUniformMutation extends base_2.MutationBase {
    mutate(individual, stepSize = 1.0, engine = utils_1.Generator.DEFAULT_ENGINE) {
        this.mutateWith(individual, { stepSize, engine });
    }
    mutateGene(individual, index, params) {
        const gene = individual.get(index);
        const delta = this.getDeltaValue(params);
        const newGene = base_1.NumericRange.normalizeValueToRange(gene + delta, individual.range);
        individual.set(index, newGene);
    }
}
exports.NumericNonUniformMutation = NumericNonUniformMutation;
//# sourceMappingURL=NumericNonUniformMutation.js.map