"use strict";
/*
 * @license
 * Copyright (c) 2019 Cristian Abrante. All rights reserved.
 * Licensed under the MIT License. See LICENSE in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.RandomResetting = void 0;
const utils_1 = require("../../../generator/utils");
const base_1 = require("../../base");
class RandomResetting extends base_1.UniformMutation {
    mutateGeneUniformly(individual, index, params) {
        var _a;
        const value = (_a = params.particularValue) === null || _a === void 0 ? void 0 : _a.call(params, index);
        if (value !== undefined) {
            individual.set(index, value);
        }
        else {
            individual.set(index, utils_1.Generator.generateInteger(individual.range, params.engine));
        }
    }
}
exports.RandomResetting = RandomResetting;
//# sourceMappingURL=RandomResetting.js.map