"use strict";
/*
 * @license
 * Copyright (c) 2019 Cristian Abrante. All rights reserved.
 * Licensed under the MIT License. See LICENSE in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumericReader = void 0;
const base_1 = require("../../base");
/**
 * ## Numeric Reader
 * Provides an implementation for a reader for
 * [[NumericIndividual]].
 * @typeparam I Type of the generated individual, which extends [[NumericIndividual]].
 */
class NumericReader extends base_1.BaseIndividualReader {
    /**
     * Tokenize a string into several
     * tokens. the tokens are separated by one
     * or more whitespace characters.
     * @param definition of the individual.
     * @return the tokenized string.
     */
    tokenize(definition) {
        return definition.split(/\s+/).filter(Boolean);
    }
}
exports.NumericReader = NumericReader;
//# sourceMappingURL=NumericReader.js.map