import { FloatingIndividual } from '../../../individual/numeric/floating/';
import { IndividualToken } from '../../base/';
import { NumericReader } from '../base/';
/**
 * ## Floating Individual reader
 * Implements a reader for floating individuals.
 * The format of this individuals is the following:
 * ```
 * 3 -4 8 9     // OK (integer number are floating)
 * 3.45 845.5   // OK (fixed point notation)
 * 3e-2 4E-9    // OK (scientific notation allowed)
 * ```
 */
export declare class FloatingReader extends NumericReader<FloatingIndividual> {
    readonly tokenDefinition: Array<IndividualToken<number>>;
    /**
     * Reads a definition and converts
     * into an [[FloatingIndividual]].
     * @param definition of the individual.
     * @return the read individual.
     * @throws Error if definition is not correct.
     */
    read(definition: string): FloatingIndividual;
}
