"use strict";
/*
 * @license
 * Copyright (c) 2019 Cristian Abrante. All rights reserved.
 * Licensed under the MIT License. See LICENSE in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.RandomSelection = void 0;
const utils_1 = require("../../generator/utils");
const base_1 = require("../../individual/numeric/base");
const BaseSelection_1 = require("./BaseSelection");
class RandomSelection extends BaseSelection_1.BaseSelection {
    selectWith(population, params) {
        this.checkParams(population, params);
        const mattingPool = [];
        while (mattingPool.length <= params.selectionCount) {
            const generatedIndex = utils_1.Generator.generateInteger(new base_1.NumericRange(0, population.getPopulationSize()));
            mattingPool.push(population.getPopulationItem(generatedIndex).individual);
        }
        return mattingPool;
    }
}
exports.RandomSelection = RandomSelection;
//# sourceMappingURL=RandomSelection.js.map