"use strict";
/*
 * @license
 * Copyright (c) 2019 Cristian Abrante. All rights reserved.
 * Licensed under the MIT License. See LICENSE in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.RouletteWheel = void 0;
const utils_1 = require("../../generator/utils");
class RouletteWheel {
    select(population, params, cumulativeProbabilityCallback) {
        const mattingPool = [];
        while (mattingPool.length !== params.selectionCount) {
            const prob = utils_1.Generator.generateProbability(params.engine);
            let index = 0;
            let cumulativeProbability = cumulativeProbabilityCallback(population.getPopulationItem(index), index);
            while (cumulativeProbability < prob) {
                index += 1;
                cumulativeProbability = cumulativeProbabilityCallback(population.getPopulationItem(index), index);
            }
            mattingPool.push(population.getPopulationItem(index).individual);
        }
        return mattingPool;
    }
}
exports.RouletteWheel = RouletteWheel;
//# sourceMappingURL=RouletteWheel.js.map