"use strict";
/*
 * @license
 * Copyright (c) 2019 Cristian Abrante. All rights reserved.
 * Licensed under the MIT License. See LICENSE in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseReplacement = void 0;
const Population_1 = require("../../population/Population");
class BaseReplacement {
    replace(oldPopulation, newPopulation, params) {
        const returnPopulation = new Population_1.Population();
        oldPopulation
            .getPopulationItems()
            .concat(newPopulation.getPopulationItems())
            .sort(this.sortMethod.bind(this))
            .slice(0, params.selectionCount)
            .forEach(item => {
            returnPopulation.pushIndividual(item.individual, item.fitness, item.age + 1);
        });
        return returnPopulation;
    }
    pushIndividual(population, item) {
        population.pushIndividual(item.individual, item.fitness, item.age + 1);
    }
}
exports.BaseReplacement = BaseReplacement;
//# sourceMappingURL=BaseReplacement.js.map