"use strict";
/*
 * @license
 * Copyright (c) 2021 Cristo Navarro.
 * Copyright (c) 2020 Francisco Cruz.
 * Copyright (c) 2019 Cristian Abrante.
 * All rights reserved.
 * Licensed under the MIT License. See LICENSE in the project root for license information.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.createList = void 0;
const index_1 = require("../index");
/**
 * Creates a list that contains nodes with the data specified.
 * @typeparam Type of the elements of the list
 * @param data Array with the elemets to introduce in the list
 * @return List with the specified data.
 */
function createList(data) {
    const newList = new index_1.List();
    for (const currentData of data) {
        newList.pushBack(currentData);
    }
    return newList;
}
exports.createList = createList;
//# sourceMappingURL=createList.js.map